/*--------------------------------------------------------------------------*/
/*                                                                          */
/*                                                                          */
/*      ------------         Bit-Bucket Software <no-Inc>                   */
/*      \ 10001101 /         Writers and Distributors of                    */
/*       \ 011110 /          No-Cost<no-tm> Software.                       */
/*        \ 1011 /                                                          */
/*         ------            KopyRong (K) 1987.  ALL RIGHTS REVERSED.       */
/*                                                                          */
/*                                                                          */
/*           This module was originally written by Bob Hartman              */
/*                                                                          */
/*                                                                          */
/*                 BinkleyTerm FOSSIL version 5 module                      */
/*                                                                          */
/*                                                                          */
/*   This  software  package is being distributed WITH FULL SOURCE CODE     */
/*   with the  following  conditions:    1)  If  anything awful happens     */
/*   because  you  use    it   (or  don't  use  it),  you  accept  full     */
/*   responsibility;  2) you  don't start making tons of voice calls to     */
/*   the authors to complain or  make  suggestions  about enhancements,     */
/*   useful or otherwise;  3) you  do not reuse this code in commercial     */
/*   products without specific permission to do so  from  the  authors;     */
/*   4) If you find any problems you send  fixes  to  the  authors  for     */
/*   inclusion  in  updates;    5) You find some way  to  express  your     */
/*   appreciation  for  this  method of distribution, either by writing     */
/*   code or  application  notes,  or  just sending along a "Thank You"     */
/*   message.                                                               */
/*                                                                          */
/*   There is  copyrighted  code  in  this product.  We either wrote it     */
/*   ourselves or got  permission  to use it.  Please don't force us to     */
/*   pay a lawyer --  have some respect for our motives and don't abuse     */
/*   this "license".                                                        */
/*                                                                          */
/*                                                                          */
/*--------------------------------------------------------------------------*/

#include <dos.h>
#include "opus.h"
#include "com.h"

char            fossil_buffer[128];
char            out_buffer[128];
char           *fossil_fetch_pointer = fossil_buffer;
char           *out_send_pointer = out_buffer;
int             fossil_count = 0;
int             out_count = 0;
int             old_fossil = 1;
int             rev3 = 0;
char            ctrlc_ctr;
struct finfo
{
   int             info_size;
   char            curr_fossil;
   char            curr_rev;
   char far       *id_string;
   int             ibufr;
   int             ifree;
   int             obufr;
   int             ofree;
   int             swidth;
   int             sheight;
   char            baud;
}               fossil_info =

{
                   0, 0, 0, 0L, 0, 0, 0, 0, 0, 0, 0
};

fossil_ver ()
{
   char far       *q;

   q = (char far *) &fossil_info;
   fossil_block (0x1b00, q, sizeof (struct finfo));

   if ((fossil_info.curr_fossil > 0) && !rev3)
      {
      old_fossil = 0;
      cprintf ("FOSSIL: %Fs\033[K\r\n", fossil_info.id_string);
      }
   else
      {
      cprintf ("FOSSIL: Revision Level 3 Assumed\033[K\r\n");
      }
}
